import { Group } from "three";
import { Floor, HeatmapDataParam, HeatmapElement } from "../../elements";
import { Plugin } from "../base";
import { BMap } from "../../bmap";
export declare class Heatmap extends Plugin {
    heatmap: HeatmapElement | null;
    group: Group<import("three").Object3DEventMap>;
    constructor(bmap: BMap);
    addHeatmap(data: HeatmapDataParam & {
        maxValue?: number;
        minValue?: number;
    }, floor: Floor): HeatmapElement;
    removeHeatMap(): void;
    dispose(): void;
}
